.hero {
    height: 100vh;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background: #5a2ed6;
    position: relative;

    h1 {
        color: #ff2c42;
        font-size: 6.875rem;
        max-width: 950px;
        margin: 0 auto;
        text-align: center;
        line-height: 100%;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 0;
        right: 0;

        &:after {
            content: "";
            height: 7px;
            width: 300px;
            background: #ff2c42;
            position: absolute;
            bottom: -40px;
            left: 0;
            right: 0;
            margin: 0 auto;
        }
    }

    a {
        color: #000;
        font-size: 64px;
        position: absolute;
        bottom: 25px;
        left: 0;
        right: 0;
        margin: 0 auto;
        text-align: center;
        width: 40px;
        @include transition(color 0.15s ease-in-out);

        &:hover { color: #ff2c42; }
    }
}

.intro {
    height: 100vh;
    display: flex;
    align-items: center;

    img {
        width: 700px;
        max-width: 100%;
    }

    h2 {
        font-size: 6.25rem;
        color: #ff2c42;
    }

    p {
        font-size: 1.7rem;
        max-width: 75%;
        font-weight: 300;
        margin: 0;
    }
}

.tiles {
    position: relative;
    height: 100vh;

    .full-tile {
        display: none;
        position: absolute;
        background: blue;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        @include transition(background 0.15s ease-in-out);

        &.red { background: #ff2c42; }

        &.purple { background: #5a2ed6; }

        &.mint { background: #00e3b4; }
    }

    .tile-close {
        position: absolute;
        color: $white;
        right: 5%;
        top: 5%;
        font-size: 36px;
    }

    .tile-controls {
        position: absolute;
        bottom: 5%;
        text-align: center;
        width: 100%;
        font-size: 60px;

        a {
            color: $white;
            display: inline-block;
            margin: 0 100px;

            &.inactive {
                opacity: 0.5;
                pointer-events: none;
            }
        }
    }

    .tile-content {
        display: none;
        position: absolute;
        left: 0;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        color: $white;
        width: 600px;
        max-width: 95%;
        margin: 0 auto;
    }
}

.tile-content {
    
    .tile-title p {
        font-size: 44px;
        font-weight: 700;
        line-height: 120%;
        position: relative;
        margin-bottom: 40px;

        &:after {
            content: "";
            position: absolute;
            bottom: -20px;
            left: 0;
            width: 100px;
            height: 5px;
            background: $white;
        }
    }

    .tile-body p { font-size: 24px; }
}

.tiles .tile-wrap {
    display: flex;
    flex-wrap: wrap;

    .single-tile {
        background: blue;
        width: 33%;
        flex-grow: 1;
        height: 50vh;
        color: #fff;
        position: relative;
        cursor: pointer;
        @include transition(background 0.15s ease-in-out);

        &.red {
            background: #ff2c42;
            &:hover { background: rgba(#ff2c42,0.5); }
        }

        &.purple {
            background: #5a2ed6;
            &:hover { background: rgba(#5a2ed6,0.5); }
        }

        &.mint {
            background: #00e3b4;
            &:hover { background: rgba(#00e3b4,0.5); }
        }

        .service-title {
            position: absolute;
            margin: 0 auto;
            top: 50%;
            transform: translate(-50%,-50%);
            left: 50%;
            text-align: left;
            pointer-events: none;
            font-size: 32px;
            font-weight: 700;

            &:after {
                content: "";
                width: 100px;
                height: 5px;
                background: $white;
                position: absolute;
            }
        }
    }
}

.our-clients {
    height: 100vh;
    display: flex;
    align-items: center;

    h2 {
        font-size: 6.25rem;
        color: #ff2c42;
        margin-bottom: 100px;
    }
}

.clients {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

    .single-client {
        width: 25%;
        text-align: center;
        margin-bottom: 100px;

        &:nth-child(1n + 5) { margin-bottom: 0; }

        &:nth-child(5),
        &:first-child { text-align: left; }

        &:nth-child(4),
        &:last-child { text-align: right; }
    }
}

.contact {
    background: #00e3b4;
    background-image: url('/wp-content/uploads/2017/08/waves.png');
    background-repeat: no-repeat;
    background-position: 100% 90%;
    background-size: 20%;
    height: 100vh;
    display: flex;
    align-items: center;

    .flex-wrap { width: 100%; }


    h2 {
        color: #4c27b4;
        font-size: 6.25rem;
        margin-bottom: 50px;
    }

    .contact-details {
        list-style-type: none;
        margin: 0;
        color: #fff;
        padding-left: 50px;

        li {
            margin-bottom: 50px;
            font-size: 24px;
            position: relative;
            padding-left: 15px;

            &.address:before {
                content: "";
                background-image: url('/wp-content/uploads/2017/08/address-icon.png');
                height: 56px;
                width: 36px;
                position: absolute;
                background-size: 100%;
                left: -50px;
            }

            &.email:before {
                content: "";
                background-image: url('/wp-content/uploads/2017/08/email-icon.png');
                height: 51px;
                width: 53px;
                position: absolute;
                background-size: 100%;
                left: -60px;
            }

            &.phone:before {
                content: "";
                background-image: url('/wp-content/uploads/2017/08/phone-icon.png');
                height: 48px;
                width: 44px;
                position: absolute;
                background-size: 100%;
                left: -55px;
            }
        }

        a { 
            color: #fff;
            @include transition(color 0.15s ease-in-out);

            &:hover { color: #4c27b4; }
        }
    }
}

.wpcf7-form {
    color: $white;
    
    textarea {
        background: none;
        border-color: $white;
    }

    .wpcf7-submit {
        background: #4c27b4;
        cursor: pointer;
        width: 100%;
        border: none;
        color: $white;
        font-size: 24px;
        padding: 20px 0;
        font-weight: 700;
        @include transition(background 0.15s ease-in-out);

        &:hover { background: #1c055a; }
    }

    p { font-size: 18px; }

    textarea {
        color: $white;
        resize: none;
        &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
            color: #fff;
            font-size: 0;
        }
        &:-moz-placeholder { /* Firefox 19+ */
            color: #fff;
            font-size: 0;
        }
        &:-ms-input-placeholder { /* IE 10+ */
            color: #fff;
            font-size: 0;
        }
        &:-moz-placeholder { /* Firefox 18- */
            color: #fff;
            font-size: 0;
        }
    }

    span.wpcf7-not-valid-tip {
        display: none;
    }

    .input-wrap {
        display: flex;
        align-items: baseline;

        input {
            background: none;
            border-left: none;
            border-top: none;
            border-right: none;
            border-color: $white;
            box-shadow: none;
            color: $white;

            &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
                color: #fff;
                font-size: 0;
            }
            &:-moz-placeholder { /* Firefox 19+ */
                color: #fff;
                font-size: 0;
            }
            &:-ms-input-placeholder { /* IE 10+ */
                color: #fff;
                font-size: 0;
            }
            &:-moz-placeholder { /* Firefox 18- */
                color: #fff;
                font-size: 0;
            }

            &.wpcf7-not-valid { border-color: #ff2c42; }
        }

        .input-flex {
            flex-grow: 1;
        }
    }

    div.wpcf7-response-output {
        text-align: center;
        margin: 0;
    }
}